Subject: Re: Extended Addressing Mode

From: Matt Sealey <[email-masked]>
Date: Wed, 22 Oct 2008 17:18:48 -0500

Becky Bruce wrote:
> 
> On Oct 22, 2008, at 1:11 PM, Matt Sealey wrote:
> 
>> Yeah so I saw BookE and e500 stuff go past but nothing specific for 
>> e600/XAEN. I mailed Becky and got no response. I'm glad to know it's 
>> in there though, somewhere.
> 
> Huh?  I have one mail from you, on Sep 1, to which I responded on Sep 
> 2.  Was there another mail I missed, or did you not see my response?  
> Freescale's mail server is unreliable, and since I'm not in the habit of 
> ignoring emails, feel free to nag me anytime if you send me something 
> and don't get a response.

Between Freescale's mail server and the trouble we're having 
with Google right now (along with thousands of others), I am 
NOT surprised it got lost somewhere along the way.

I wasn't bitching :)

>> Just so it has been asked, do you know in a broad sense what it would 
>> take to add the non-contiguous memory mapping support? Doesn't ppc64 
>> already have this?
> 
> PPC64 has SPARSEMEM support, IIRC. It's non-trivial to add for 32-bit, 
> although I haven't scoped it out in any detail.

Okay, non-trivial was pretty much what I was looking for, I 
was just trying to weigh up how much effort is required..

If you actually scope it out in any detail or someone has some 
10% time and decides this would be an awesome project, give me 
a nudge? My MPC8641D is itching to actually do something 
besides build packages. Actually having 8GB of memory would 
REALLY help run SUSE Build Service :]

-- 
Matt Sealey <[email-masked]>
Genesi, Manager, Developer Relations